Bug Tracker – Bug 1268

Video Mode Not Setting Properly

Last modified: 2019-08-12 21:33:13 UTC
Bug 1268 - Video Mode Not Setting Properly
Summary: Video Mode Not Setting Properly
Status: RESOLVED FIXED
Alias: None
Product: Odamex
Classification: Unclassified
Component: Client (show other bugs)
Version: 0.8.x
Hardware: x86 (Windows, Linux, etc) Windows 2000/XP/Vista/7
: P5 major
Assignee: Odamex Bug Reporter
URL:
Depends on:
Blocks: 1275
  Show dependency tree
 
Reported: 2019-02-15 19:27 UTC by DevastatioN
Modified: 2019-08-12 21:33 UTC (History)
3 users (show)

See Also:

Attachments

Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description DevastatioN 2019-02-15 19:27:55 UTC
Windows 7 hardware, works fine on Odamex 0.7 and won't work in Odamex 0.8.

Set video mode to 640x480 (or 800x600, or 1024 x 768, etc.) and set "full screen yes" and "widescreen no" and the game goes full widescreen instead of providing the black bars on the right and left (to force 4:3 ratio).  The image is stretched to the full widescreen.

EVGA 4GB GTX 1070.
Comment 1 HeX_Vulture 2019-07-30 15:00:14 UTC
vid_pillarbox should remedy this in version 0.8.1. Dev can you confirm and close the report?
Comment 2 HeX_Vulture 2019-08-12 21:33:13 UTC
this is resolved